#!/bin/sh # description: Test creation and deletion of trace instances if [ ! -d instances ] ; then echo "no instance directory with this kernel" exit_unsupported; fi fail() { # mesg rmdir x y z 2>/dev/null echo $1 set -e exit $FAIL } cd instances # we don't want to fail on error set +e mkdir x rmdir x result=$? if [ $result -ne 0 ]; then echo "instance rmdir not supported" exit_unsupported fi instance_slam() { while :; do mkdir x mkdir y mkdir z rmdir x rmdir y rmdir z done 2>/dev/null } instance_slam & p1=$! echo $p1 instance_slam & p2=$! echo $p2 instance_slam & p3=$! echo $p3 instance_slam & p4=$! echo $p4 instance_slam & p5=$! echo $p5 ls -lR >/dev/null sleep 1 kill -1 $p1 kill -1 $p2 kill -1 $p3 kill -1 $p4 kill -1 $p5 echo "Wait for processes to finish" wait $p1 $p2 $p3 $p4 $p5 echo "all processes finished, wait for cleanup" mkdir x y z ls x y z rmdir x y z for d in x y z; do if [ -d $d ]; then fail "instance $d still exists" fi done set -e exit 0 eanup'>emaclite-cleanup net-next plumbingsTobias Klauser
summaryrefslogtreecommitdiff
path: root/include/dt-bindings/reset/mt8173-resets.h
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@linux-foundation.org>2016-12-20 15:24:32 -0800
committerLinus Torvalds <torvalds@linux-foundation.org>2016-12-20 15:24:32 -0800
commit3eb86259eca6a363ed7bb13ecea5cda809f7b97d (patch)
tree39ad92d0c5496d4eab67741e6d5b61f3b9b0a370 /include/dt-bindings/reset/mt8173-resets.h
parentf95adbc1f7cef521d1d6b9146691d5971a660614 (diff)
parent50f4d9bda9f8510db1392b4e832fca95c56295a1 (diff)
Merge branch 'akpm' (patches from Andrew)
Merge final set of updates from Andrew Morton: - a series to make IMA play better across kexec - a handful of random fixes * emailed patches from Andrew Morton <akpm@linux-foundation.org>: printk: fix typo in CONSOLE_LOGLEVEL_DEFAULT help text ratelimit: fix WARN_ON_RATELIMIT return value kcov: make kcov work properly with KASLR enabled arm64: setup: introduce kaslr_offset() mm: fadvise: avoid expensive remote LRU cache draining after FADV_DONTNEED ima: platform-independent hash value ima: define a canonical binary_runtime_measurements list format ima: support restoring multiple template formats ima: store the builtin/custom template definitions in a list ima: on soft reboot, save the measurement list powerpc: ima: send the kexec buffer to the next kernel ima: maintain memory size needed for serializing the measurement list ima: permit duplicate measurement list entries ima: on soft reboot, restore the measurement list powerpc: ima: get the kexec buffer passed by the previous kernel
Diffstat (limited to 'include/dt-bindings/reset/mt8173-resets.h')